From 5fc804c67d208371ee79004190c8d20578b2bcd8 Mon Sep 17 00:00:00 2001
From: Koichiro IWAO
Date: Wed, 11 Dec 2019 09:46:18 +0900
Subject: [PATCH 1/2] remove unmaintained xrdp.sh
It is not maintained since it is added and outdated now.
---
instfiles/xrdp.sh | 153 ----------------------------------------------
1 file changed, 153 deletions(-)
delete mode 100755 instfiles/xrdp.sh
diff --git a/instfiles/xrdp.sh b/instfiles/xrdp.sh
deleted file mode 100755
index 3e727433..00000000
--- a/instfiles/xrdp.sh
+++ /dev/null
@@ -1,153 +0,0 @@
-#!/bin/sh
-# xrdp control script
-# Written : 1-13-2006 - Mark Balliet - posicat@pobox.com
-# maintaned by Jay Sorg
-# chkconfig: 2345 11 89
-# description: starts xrdp
-
-### BEGIN INIT INFO
-# Provides: xrdp
-# Required-Start:
-# Required-Stop:
-# Should-Start:
-# Should-Stop:
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Start and stop xrdp
-# Description: starts xrdp
-### END INIT INFO
-
-SBINDIR=/usr/local/sbin
-LOG=/dev/null
-CFGDIR=/etc/xrdp
-
-if ! test -x $SBINDIR/xrdp
-then
- echo "xrdp is not executable"
- exit 0
-fi
-if ! test -x $SBINDIR/xrdp-sesman
-then
- echo "xrdp-sesman is not executable"
- exit 0
-fi
-if ! test -x $CFGDIR/startwm.sh
-then
- echo "startwm.sh is not executable"
- exit 0
-fi
-
-xrdp_start()
-{
- echo -n "Starting: xrdp and sesman . . "
- $SBINDIR/xrdp >> $LOG
- $SBINDIR/xrdp-sesman >> $LOG
- echo "."
- sleep 1
- return 0;
-}
-
-xrdp_stop()
-{
- echo -n "Stopping: xrdp and sesman . . "
- $SBINDIR/xrdp-sesman --kill >> $LOG
- $SBINDIR/xrdp --kill >> $LOG
- echo "."
- return 0;
-}
-
-is_xrdp_running()
-{
- ps u --noheading -C xrdp | grep -q -i xrdp
- if test $? -eq 0
- then
- return 1;
- else
- return 0;
- fi
-}
-
-is_sesman_running()
-{
- ps u --noheading -C xrdp-sesman | grep -q -i xrdp-sesman
- if test $? -eq 0
- then
- return 1;
- else
- return 0;
- fi
-}
-
-check_up()
-{
- # Cleanup : If sesman isn't running, but the pid exists, erase it.
- is_sesman_running
- if test $? -eq 0
- then
- if test -e /var/run/xrdp-sesman.pid
- then
- rm /var/run/xrdp-sesman.pid
- fi
- fi
- # Cleanup : If xrdp isn't running, but the pid exists, erase it.
- is_xrdp_running
- if test $? -eq 0
- then
- if test -e /var/run/xrdp.pid
- then
- rm /var/run/xrdp.pid
- fi
- fi
- return 0;
-}
-
-case "$1" in
- start)
- check_up
- is_xrdp_running
- if ! test $? -eq 0
- then
- echo "xrdp is already loaded"
- exit 1
- fi
- is_sesman_running
- if ! test $? -eq 0
- then
- echo "sesman is already loaded"
- exit 1
- fi
- xrdp_start
- ;;
- stop)
- check_up
- is_xrdp_running
- if test $? -eq 0
- then
- echo "xrdp is not loaded."
- fi
- is_sesman_running
- if test $? -eq 0
- then
- echo "sesman is not loaded."
- fi
- xrdp_stop
- ;;
- force-reload|restart)
- check_up
- echo "Restarting xrdp ..."
- xrdp_stop
- is_xrdp_running
- while ! test $? -eq 0
- do
- check_up
- sleep 1
- is_xrdp_running
- done
- xrdp_start
- ;;
- *)
- echo "Usage: xrdp.sh {start|stop|restart|force-reload}"
- exit 1
-esac
-
-exit 0
From a20f99d3d197de3242e18ec028d2b6f47d3188be Mon Sep 17 00:00:00 2001
From: Koichiro IWAO
Date: Wed, 11 Dec 2019 17:09:08 +0900
Subject: [PATCH 2/2] Remove xrdp.sh from Makefile and document as well
---
file-loc.txt | 1 -
instfiles/Makefile.am | 2 --
2 files changed, 3 deletions(-)
diff --git a/file-loc.txt b/file-loc.txt
index 2a1e58a8..1db899e9 100644
--- a/file-loc.txt
+++ b/file-loc.txt
@@ -30,7 +30,6 @@ default build will install the following
startwm.sh
xrdp.ini
xrdp_keyboard.ini
- xrdp.sh
/etc/xrdp/pulse
default.pa
diff --git a/instfiles/Makefile.am b/instfiles/Makefile.am
index e699b7f4..08730c03 100644
--- a/instfiles/Makefile.am
+++ b/instfiles/Makefile.am
@@ -1,6 +1,5 @@
EXTRA_DIST = \
keymap-names.txt \
- xrdp.sh \
xrdp-sesman.service.in \
xrdp.service.in
@@ -61,7 +60,6 @@ if LINUX
SUBDIRS += \
pam.d \
pulse
-dist_startscript_SCRIPTS = xrdp.sh
if HAVE_SYSTEMD
systemdsystemunit_DATA = \
xrdp-sesman.service \